#!/bin/sh

#------------------------------------------#
# alarmmgr upgrade (2.4 -> 3.0)		   #
#------------------------------------------#

# Macro
PATH=/bin:/usr/bin:/sbin:/usr/sbin

DB_DIR=/opt/dbspace
DB_ALARMMGR=$DB_DIR/.alarmmgr.db

# Upgrade table
sqlite3 $DB_ALARMMGR << EOF
DROP TABLE IF EXISTS alarmmgr_temp;

CREATE TABLE alarmmgr_temp (
	alarm_id integer primary key,
	start integer,
	end integer,
	uid integer,
	pid integer,
	global integer,
	is_disabled integer,
	caller_pkgid text,
	callee_pkgid text,
	app_unique_name text,
	app_service_name text,
	app_service_name_mod text,
	bundle text,
	noti_len integer,
	noti text,
	year integer,
	month integer,
	day integer,
	hour integer,
	min integer,
	sec integer,
	msec integer,
	day_of_week integer,
	repeat integer,
	alarm_type integer,
	reserved_info integer,
	dst_service_name text,
	dst_service_name_mod text
);

INSERT INTO alarmmgr_temp \
	(alarm_id, start, end, pid, caller_pkgid, \
	callee_pkgid, app_unique_name, app_service_name, \
	app_service_name_mod, bundle, year, month, \
	day, hour, min, sec, day_of_week, repeat, \
	alarm_type, reserved_info, dst_service_name, \
	dst_service_name_mod) \
	SELECT alarm_id, start, end, pid, caller_pkgid, \
	callee_pkgid, app_unique_name, app_service_name, \
	app_service_name_mod, bundle, year, month, \
	day, hour, min, sec, day_of_week, repeat, \
	alarm_type, reserved_info, dst_service_name, dst_service_name_mod \
	FROM alarmmgr;

UPDATE alarmmgr_temp SET uid=5001,global=0,is_disabled=0,msec=0,noti_len=4,noti="null";
DROP TABLE alarmmgr;
ALTER TABLE alarmmgr_temp RENAME TO alarmmgr;

EOF

chown app_fw:app_fw $DB_ALARMMGR
chown app_fw:app_fw $DB_ALARMMGR-journal

chsmack -a System $DB_ALARMMGR
chsmack -a System $DB_ALARMMGR-journal
